Subject: [mpls] MPLS-RT review on draft-osborne-mpls-psc-updates-01

From: <[email-masked]>
Date: Fri, 23 Aug 2013 19:59:27 +0900

Hi,

I've reviewed draft-osborne-mpls-psc-updates-01 as the MPLS-RT process.

a. Is the document coherent?
It's almost coherent. I need just one clarification about section 4.
   "When L(SF-W) is removed but R(SF-W)
   remains, what does PSC do?  A strict reading of the FSM would suggest
   that PSC transition from PA:F:L into N, and at some future time
   (perhaps after the remote request refreshes) PSC would transition
   from N to PA:F:R."
PA:F:L/R is Protecting administrative state due to local or Remote FS operator command, 
so it doesn't match in this context. In my understanding, the strict reading of the FSM 
leads the following transition.
   PF:W:L -> DNR -> PF:W:R (for non-revertive operation)
   PF:W:L -> WTR (for revertive operation)

b. Is it useful (ie, is it likely to be actually useful in operational networks)?
I believe it's useful.

c. Is the document technically sound?
Yes, the described mechanism and objective are clear to me.

d. Is the document ready to be considered for WG adoption?
I hope the comment above is closed before WG adoption.

Best Regards,
Kenji.